Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5088)
@@ -1,5 +1,5 @@
 MODULE mod_1D_cases_read
-  USE lmdz_netcdf, ONLY: nf_noerr,nf_strerror,nf_inq_varid,nf_inq_dimlen,nf_inq_dimid,&
-          nf_nowrite,nf_open,nf90_get_var
+  USE netcdf, ONLY: nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_inquire_dimension,nf90_inq_dimid,&
+          nf90_nowrite,nf90_open,nf90_get_var
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -93,40 +93,40 @@
       fich_cas='setup/cas.nc'
       print*,'fich_cas ',fich_cas
-      ierr = NF_OPEN(fich_cas,NF_NOWRITE,nid)
-      print*,'fich_cas,NF_NOWRITE,nid ',fich_cas,NF_NOWRITE,nid
-      if (ierr/=NF_NOERR) then
+      ierr = nf90_open(fich_cas,nf90_nowrite,nid)
+      print*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+      if (ierr/=nf90_noerr) then
          write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-         write(*,*) NF_STRERROR(ierr)
+         write(*,*) nf90_strerror(ierr)
          stop ""
       endif
 !.......................................................................
-      ierr=NF_INQ_DIMID(nid,'lat',rid)
-      IF (ierr/=NF_NOERR) THEN
+      ierr=nf90_inq_dimid(nid,'lat',rid)
+      IF (ierr/=nf90_noerr) THEN
          print*, 'Oh probleme lecture dimension lat'
       ENDIF
-      ierr=NF_INQ_DIMLEN(nid,rid,ii)
+      ierr=nf90_inquire_dimension(nid,rid,len=ii)
       print*,'OK1 nid,rid,lat',nid,rid,ii
 !.......................................................................
-      ierr=NF_INQ_DIMID(nid,'lon',rid)
-      IF (ierr/=NF_NOERR) THEN
+      ierr=nf90_inq_dimid(nid,'lon',rid)
+      IF (ierr/=nf90_noerr) THEN
          print*, 'Oh probleme lecture dimension lon'
       ENDIF
-      ierr=NF_INQ_DIMLEN(nid,rid,jj)
+      ierr=nf90_inquire_dimension(nid,rid,len=jj)
       print*,'OK2 nid,rid,lat',nid,rid,jj
 !.......................................................................
-      ierr=NF_INQ_DIMID(nid,'lev',rid)
-      IF (ierr/=NF_NOERR) THEN
+      ierr=nf90_inq_dimid(nid,'lev',rid)
+      IF (ierr/=nf90_noerr) THEN
          print*, 'Oh probleme lecture dimension zz'
       ENDIF
-      ierr=NF_INQ_DIMLEN(nid,rid,nlev_cas)
+      ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
       print*,'OK3 nid,rid,nlev_cas',nid,rid,nlev_cas
 !.......................................................................
-      ierr=NF_INQ_DIMID(nid,'time',rid)
+      ierr=nf90_inq_dimid(nid,'time',rid)
       print*,'nid,rid',nid,rid
       nt_cas=0
-      IF (ierr/=NF_NOERR) THEN
+      IF (ierr/=nf90_noerr) THEN
         stop 'probleme lecture dimension sens'
       ENDIF
-      ierr=NF_INQ_DIMLEN(nid,rid,nt_cas)
+      ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
       print*,'OK4 nid,rid,nt_cas',nid,rid,nt_cas
 
@@ -288,243 +288,243 @@
       integer var3didin(nbvar3d)
 
-       ierr=NF_INQ_VARID(nid,"zz",var3didin(1))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"zz",var3didin(1))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'lev'
          endif
 
-      ierr=NF_INQ_VARID(nid,"pp",var3didin(2))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"pp",var3didin(2))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'plev'
          endif
 
 
-      ierr=NF_INQ_VARID(nid,"temp",var3didin(3))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"temp",var3didin(3))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'temp'
          endif
 
-      ierr=NF_INQ_VARID(nid,"qv",var3didin(4))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"qv",var3didin(4))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
-      ierr=NF_INQ_VARID(nid,"rh",var3didin(5))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"rh",var3didin(5))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'rh'
          endif
 
-      ierr=NF_INQ_VARID(nid,"theta",var3didin(6))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"theta",var3didin(6))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'theta'
          endif
 
-      ierr=NF_INQ_VARID(nid,"rv",var3didin(7))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"rv",var3didin(7))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'rv'
          endif
 
 
-      ierr=NF_INQ_VARID(nid,"u",var3didin(8))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"u",var3didin(8))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
-      ierr=NF_INQ_VARID(nid,"v",var3didin(9))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"v",var3didin(9))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
-       ierr=NF_INQ_VARID(nid,"ug",var3didin(10))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"ug",var3didin(10))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'ug'
          endif
 
-      ierr=NF_INQ_VARID(nid,"vg",var3didin(11))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"vg",var3didin(11))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'vg'
          endif
 
-      ierr=NF_INQ_VARID(nid,"w",var3didin(12))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"w",var3didin(12))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'w'
          endif
 
-      ierr=NF_INQ_VARID(nid,"advu",var3didin(13))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"advu",var3didin(13))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'advu'
          endif
 
-      ierr=NF_INQ_VARID(nid,"hu",var3didin(14))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hu",var3didin(14))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hu'
          endif
 
-       ierr=NF_INQ_VARID(nid,"vu",var3didin(15))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"vu",var3didin(15))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'vu'
          endif
 
-       ierr=NF_INQ_VARID(nid,"advv",var3didin(16))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"advv",var3didin(16))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'advv'
          endif
 
-      ierr=NF_INQ_VARID(nid,"hv",var3didin(17))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hv",var3didin(17))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hv'
          endif
 
-       ierr=NF_INQ_VARID(nid,"vv",var3didin(18))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"vv",var3didin(18))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'vv'
          endif
 
-      ierr=NF_INQ_VARID(nid,"advT",var3didin(19))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"advT",var3didin(19))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'advT'
          endif
 
-      ierr=NF_INQ_VARID(nid,"hT",var3didin(20))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hT",var3didin(20))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hT'
          endif
 
-      ierr=NF_INQ_VARID(nid,"vT",var3didin(21))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"vT",var3didin(21))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'vT'
          endif
 
-      ierr=NF_INQ_VARID(nid,"advq",var3didin(22))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"advq",var3didin(22))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'advq'
          endif
 
-      ierr=NF_INQ_VARID(nid,"hq",var3didin(23))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hq",var3didin(23))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hq'
          endif
 
-      ierr=NF_INQ_VARID(nid,"vq",var3didin(24))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"vq",var3didin(24))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'vq'
          endif
 
-      ierr=NF_INQ_VARID(nid,"advth",var3didin(25))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"advth",var3didin(25))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'advth'
          endif
 
-      ierr=NF_INQ_VARID(nid,"hth",var3didin(26))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hth",var3didin(26))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hth'
          endif
 
-      ierr=NF_INQ_VARID(nid,"vth",var3didin(27))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"vth",var3didin(27))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'vth'
          endif
 
-      ierr=NF_INQ_VARID(nid,"advr",var3didin(28))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"advr",var3didin(28))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'advr'
          endif
 
-      ierr=NF_INQ_VARID(nid,"hr",var3didin(29))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hr",var3didin(29))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hr'
          endif
 
-      ierr=NF_INQ_VARID(nid,"vr",var3didin(30))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"vr",var3didin(30))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'vr'
          endif
 
-      ierr=NF_INQ_VARID(nid,"radT",var3didin(31))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"radT",var3didin(31))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'radT'
          endif
 
-      ierr=NF_INQ_VARID(nid,"sens",var3didin(32))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"sens",var3didin(32))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'sens'
          endif
 
-      ierr=NF_INQ_VARID(nid,"flat",var3didin(33))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"flat",var3didin(33))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'flat'
          endif
 
-      ierr=NF_INQ_VARID(nid,"ts",var3didin(34))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"ts",var3didin(34))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'ts'
          endif
 
-      ierr=NF_INQ_VARID(nid,"ustar",var3didin(35))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"ustar",var3didin(35))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'ustar'
          endif
 
-      ierr=NF_INQ_VARID(nid,"uw",var3didin(36))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"uw",var3didin(36))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'uw'
          endif
 
-      ierr=NF_INQ_VARID(nid,"vw",var3didin(37))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"vw",var3didin(37))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'vw'
          endif
 
-      ierr=NF_INQ_VARID(nid,"q1",var3didin(38))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"q1",var3didin(38))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'q1'
          endif
 
-      ierr=NF_INQ_VARID(nid,"q2",var3didin(39))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"q2",var3didin(39))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'q2'
          endif
 
          ierr = nf90_get_var(nid,var3didin(1),zz)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -532,6 +532,6 @@
 
          ierr = nf90_get_var(nid,var3didin(2),pp)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -540,6 +540,6 @@
 
          ierr = nf90_get_var(nid,var3didin(3),temp)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -547,6 +547,6 @@
 
          ierr = nf90_get_var(nid,var3didin(4),qv)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -554,6 +554,6 @@
 
          ierr = nf90_get_var(nid,var3didin(5),rh)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -561,6 +561,6 @@
 
          ierr = nf90_get_var(nid,var3didin(6),theta)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -568,6 +568,6 @@
 
          ierr = nf90_get_var(nid,var3didin(7),rv)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -575,6 +575,6 @@
 
          ierr = nf90_get_var(nid,var3didin(8),u)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -582,6 +582,6 @@
 
          ierr = nf90_get_var(nid,var3didin(9),v)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -589,6 +589,6 @@
 
          ierr = nf90_get_var(nid,var3didin(10),ug)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -596,6 +596,6 @@
 
          ierr = nf90_get_var(nid,var3didin(11),vg)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -603,6 +603,6 @@
 
          ierr = nf90_get_var(nid,var3didin(12),w)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -610,6 +610,6 @@
 
          ierr = nf90_get_var(nid,var3didin(13),du)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -617,6 +617,6 @@
 
          ierr = nf90_get_var(nid,var3didin(14),hu)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -624,6 +624,6 @@
 
          ierr = nf90_get_var(nid,var3didin(15),vu)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -631,6 +631,6 @@
 
          ierr = nf90_get_var(nid,var3didin(16),dv)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -638,6 +638,6 @@
 
          ierr = nf90_get_var(nid,var3didin(17),hv)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -645,6 +645,6 @@
 
          ierr = nf90_get_var(nid,var3didin(18),vv)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -652,6 +652,6 @@
 
          ierr = nf90_get_var(nid,var3didin(19),dt)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -659,6 +659,6 @@
 
          ierr = nf90_get_var(nid,var3didin(20),ht)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -666,6 +666,6 @@
 
          ierr = nf90_get_var(nid,var3didin(21),vt)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -673,6 +673,6 @@
 
          ierr = nf90_get_var(nid,var3didin(22),dq)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -680,6 +680,6 @@
 
          ierr = nf90_get_var(nid,var3didin(23),hq)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -687,6 +687,6 @@
 
          ierr = nf90_get_var(nid,var3didin(24),vq)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -694,6 +694,6 @@
 
          ierr = nf90_get_var(nid,var3didin(25),dth)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -701,6 +701,6 @@
 
          ierr = nf90_get_var(nid,var3didin(26),hth)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -708,6 +708,6 @@
 
          ierr = nf90_get_var(nid,var3didin(27),vth)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -715,6 +715,6 @@
 
          ierr = nf90_get_var(nid,var3didin(28),dr)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -722,6 +722,6 @@
 
          ierr = nf90_get_var(nid,var3didin(29),hr)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -729,6 +729,6 @@
 
          ierr = nf90_get_var(nid,var3didin(30),vr)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -736,6 +736,6 @@
 
          ierr = nf90_get_var(nid,var3didin(31),dtrad)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -743,6 +743,6 @@
 
          ierr = nf90_get_var(nid,var3didin(32),sens)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -750,6 +750,6 @@
 
          ierr = nf90_get_var(nid,var3didin(33),flat)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -757,6 +757,6 @@
 
          ierr = nf90_get_var(nid,var3didin(34),ts)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -764,6 +764,6 @@
 
          ierr = nf90_get_var(nid,var3didin(35),ustar)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -771,6 +771,6 @@
 
          ierr = nf90_get_var(nid,var3didin(36),uw)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -778,6 +778,6 @@
 
          ierr = nf90_get_var(nid,var3didin(37),vw)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -785,6 +785,6 @@
 
          ierr = nf90_get_var(nid,var3didin(38),q1)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -792,6 +792,6 @@
 
          ierr = nf90_get_var(nid,var3didin(39),q2)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
